> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bank Statement

> Create a new bank statement.



## OpenAPI

````yaml /api/openapi-finindex.json post /api/v1/bank-statements
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/bank-statements:
    post:
      tags:
        - Bank Statements
      summary: Create Bank Statement
      description: Create a new bank statement.
      operationId: create_bank_statement_api_v1_bank_statements_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BankStatementCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankStatementResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BankStatementCreate:
      properties:
        bankName:
          type: string
          title: Bankname
        accountNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountnumber
        statementDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Statementdate
        fileUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Fileurl
        lines:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Lines
      type: object
      required:
        - bankName
      title: BankStatementCreate
    BankStatementResponse:
      properties:
        id:
          type: string
          title: Id
        bank_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Bank Name
        bankName:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankname
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
        accountNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountnumber
        statement_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Statement Date
        statementDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Statementdate
        transactionDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Transactiondate
        file_url:
          anyOf:
            - type: string
            - type: 'null'
          title: File Url
        fileUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Fileurl
        imported_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Imported At
        importedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Importedat
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        line_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Line Count
        lineCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Linecount
        lines:
          anyOf:
            - items:
                $ref: '#/components/schemas/BankStatementLine'
              type: array
            - type: 'null'
          title: Lines
      type: object
      required:
        - id
      title: BankStatementResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BankStatementLine:
      properties:
        id:
          type: string
          title: Id
        bankStatementId:
          type: string
          title: Bankstatementid
        transactionDate:
          type: string
          title: Transactiondate
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        debit:
          anyOf:
            - type: number
            - type: 'null'
          title: Debit
        credit:
          anyOf:
            - type: number
            - type: 'null'
          title: Credit
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        referenceNo:
          anyOf:
            - type: string
            - type: 'null'
          title: Referenceno
        matchedTransferId:
          anyOf:
            - type: string
            - type: 'null'
          title: Matchedtransferid
        matchStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Matchstatus
      type: object
      required:
        - id
        - bankStatementId
        - transactionDate
      title: BankStatementLine
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````